> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getfernand.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add URL source to your AI Data

Adds a web page to the vector store. Can optionally crawl the entire website starting from the provided URL. The content is fetched and processed asynchronously.


## OpenAPI

````yaml https://api.getfernand.com/openapi.json post /organization/rag/sources/urls
openapi: 3.0.3
info:
  title: Fernand API Documentation
  version: '3.0'
  description: This is the documentation for the [Fernand](https://getfernand.com) API.
  termsOfService: https://getfernand.com/terms
  contact:
    name: Fernand Support
    url: https://getfernand.com
    email: support@getfernand.com
  x-logo:
    url: https://app.getfernand.com/images/favicon/icon_128.png
servers:
  - url: https://api.getfernand.com
    description: ''
    x-last-modified: 1764750693905
security:
  - apiKeyHeader: []
externalDocs:
  description: You can access our documentation online by visiting https://api.fernand.help
  url: https://api.fernand.help
paths:
  /organization/rag/sources/urls:
    post:
      tags:
        - RAG (AI data)
      summary: Add URL source to your AI Data
      description: >-
        Adds a web page to the vector store. Can optionally crawl the entire
        website starting from the provided URL. The content is fetched and
        processed asynchronously.
      operationId: addAIUrlSource
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  format: uri
                  maxLength: 250
                  description: >-
                    URL to add to the knowledge base (must start with
                    http/https).
                  example: https://docs.piedpiper.com/getting-started
                crawl:
                  type: boolean
                  description: Whether to crawl the entire website from this URL.
                  example: false
              required:
                - url
                - crawl
      responses:
        '202':
          description: URL source queued for processing.
          content:
            application/json:
              schema:
                type: object
        '400':
          description: Invalid URL or knowledge base URL detected.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: You can't add your knowledge base URL as a source.
components:
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      description: >-
        Authenticate your account by including your secret key in API requests.

        You can manage your API keys in the
        [Dashboard](https://app.getfernand.com/).


        Authentication to the API is performed by using the HTTP Header
        X-API-Key.
      name: X-API-Key
      in: header
      x-last-modified: 1764750344730

````